#!/bin/sh

KDC_SLAVE="kdc02.my-company.com"
DUMP_FILE="/var/kerberos/krb5kdc/slave_dump"

/usr/kerberos/sbin/kdb5_util dump $DUMP_FILE >/dev/null 2>&1
rc=$?
if [[ $rc -ne 0 ]]; then
	logger -p local0.error -t "kdccopy" "Failed - Dump krb5 database to $DUMP_FILE."
	exit $rc
fi

/usr/kerberos/sbin/kprop -f $DUMP_FILE $KDC_SLAVE >/dev/null 2>&1
rc=$?
if [[ $rc -ne 0 ]]; then
	logger -p local0.error -t "kdccopy" "Failed - Send krb5 database to $KDC_SLAVE."
	exit $rc
fi

logger -p local0.info -t "kdccopy" "Succeeded - Copy krb5 database to $KDC_SLAVE."
exit 0
